Debian Bug report logs - #545949
who should cleanup /var/lib/update-rd.d ? should it be cleaned up at all?

version graph

Package: sysv-rc; Maintainer for sysv-rc is Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>; Source for sysv-rc is src:sysvinit.

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Thu, 10 Sep 2009 08:18:01 UTC

Severity: important

Tags: fixed-upstream

Merged with 545972

Found in version sysvinit/2.87dsf-4

Fixed in versions sysvinit/2.87dsf-5, sysvinit/2.87dsf-6

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#545949; Package sysv-rc. (Thu, 10 Sep 2009 08:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Thu, 10 Sep 2009 08:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: submit@bugs.debian.org
Subject: Re: who should cleanup /var/lib/update-rd.d ? should it be cleaned up at all?
Date: Thu, 10 Sep 2009 10:06:46 +0200
[Message part 1 (text/plain, inline)]
package: sysv-rc
severity: important
x-debbugs-cc: debian-devel@lists.debian.org
User: debian-qa@lists.debian.org
Usertags: piuparts piuparts.d.o

Hi Petter,

On Mittwoch, 9. September 2009, Petter Reinholdtsen wrote:
> > today I noticed that quite many packages fail the piuparts test,
> > because of a file left after purge in /var/lib/update-rd.d - who's
> > responsibility is it to clean this up? Each package? Or? Or
> > shouldn't those be cleaned on purge and piuparts should ignore those
> > files? (I don't think the latter is the correct approach.)
>
> The directory belong to the sysv-rc package, and will be cleaned up
> when that package is removed. :)
>
> We discussed on IRC to remove files from there when update-rc.d is
> asked to remove symlinks to a script, and if we decide to implement it
> that would solve the piuparts issue.  Thanks for bringing it to our
> attention. :)

Thanks for your reply, filing a bug so this doesnt get forgotten.


regards,
	Holger
[signature.asc (application/pgp-signature, inline)]

Forcibly Merged 545949 545972. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Thu, 10 Sep 2009 12:33:19 GMT) Full text and rfc822 format available.

Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. (Sat, 12 Sep 2009 23:30:10 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Sat, 12 Sep 2009 23:30:10 GMT) Full text and rfc822 format available.

Message #12 received at 545949-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 545949-close@bugs.debian.org
Subject: Bug#545949: fixed in sysvinit 2.87dsf-5
Date: Sat, 12 Sep 2009 23:07:58 +0000
Source: sysvinit
Source-Version: 2.87dsf-5

We believe that the bug you reported is fixed in the latest version of
sysvinit, which is due to be installed in the Debian FTP archive:

initscripts_2.87dsf-5_i386.deb
  to pool/main/s/sysvinit/initscripts_2.87dsf-5_i386.deb
sysv-rc_2.87dsf-5_all.deb
  to pool/main/s/sysvinit/sysv-rc_2.87dsf-5_all.deb
sysvinit-utils_2.87dsf-5_i386.deb
  to pool/main/s/sysvinit/sysvinit-utils_2.87dsf-5_i386.deb
sysvinit_2.87dsf-5.diff.gz
  to pool/main/s/sysvinit/sysvinit_2.87dsf-5.diff.gz
sysvinit_2.87dsf-5.dsc
  to pool/main/s/sysvinit/sysvinit_2.87dsf-5.dsc
sysvinit_2.87dsf-5_i386.deb
  to pool/main/s/sysvinit/sysvinit_2.87dsf-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 545949@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated sysvinit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 13 Sep 2009 00:13:49 +0200
Source: sysvinit
Binary: sysvinit sysvinit-utils sysv-rc initscripts
Architecture: source i386 all
Version: 2.87dsf-5
Distribution: experimental
Urgency: low
Maintainer: Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 initscripts - scripts for initializing and shutting down the system
 sysv-rc    - System-V-like runlevel change mechanism
 sysvinit   - System-V-like init utilities
 sysvinit-utils - System-V-like utilities
Closes: 239342 265801 406361 545356 545368 545409 545949
Changes: 
 sysvinit (2.87dsf-5) experimental; urgency=low
 .
   * Uploading to experimental, to test the new build rules.
 .
   * Make sysv-rc postinst report detected problems to stderr too when
     failing to migrate.
   * Fix typo in error message from postinst (Closes: #545409).
   * Make initscripts depend on sysvinit-utils (>= 2.86.ds1-64), to
     make sure the fstab-decode program is available (Closes: #545356).
   * Make sure the calls to 'update-rc.d X remove' in initscripts
     postinst do not ignore errors (Closes: #406361).
   * Make sysvinit depend on sysvinit-utils (>= 2.86.ds1-66) to avoid
     that bootlogd disappear during partial upgrades (Closes: #545368).
   * Restructure source package to make it possible to use debhelper in
     the common way to build the source, by moving debian/initscripts/
     and debian/sysv-rc/ into debian/src/.  Restructure build rules to
     use debhelper more, and migrate to debhelper 7.
   * New patch 98_installtarget.patch to improve the sysvinit install
     target.
   * Remove /etc/init.d/.depend.* in prerm, not postrm, to avoid
     surprises.
   * Remove /var/lib/update-rc.d/* when the package is purged.
   * Change cut-off point for the trimmed changelog entries in
     sysvinit-utils, initscripts and sysv-rc from version 2.84-3 to
     version 2.86.ds1-47, to reduce the package sizes.
   * Drop hurd specific dependency on libc0.3 (>= 2.3.2.ds1-12).  It is
     no longer needed according to Michael Bunk.  Patch from Michael
     Biebl.
   * Remove information about scripts in /var/lib/update-rc.d/ when
     their runlevel symlinks are removed (Closes: #545949).  Remove
     such files left behind earlier during upgrade.
   * Bootlogd now starts as late as possible (Closes: #265801)
   * Drop the binary /lib/init/readlink from initscripts and depend on
     coreutils (>= 5.93) instead.  Adjust scripts to use the program
     from coreutils from now on (Closes: #239342).
   * Make sure insserv exit values propagate through update-rc.d to make
     sure packages with errors fail to install.
Checksums-Sha1: 
 796fc5f32c951e745b17985e5e081b88aaa12a6b 1502 sysvinit_2.87dsf-5.dsc
 0c1347aa8fc9d0efa05673d21d24e6dd615fabd2 151117 sysvinit_2.87dsf-5.diff.gz
 e16a855f51ec738497d41ac57b44370ed936269c 106006 sysvinit_2.87dsf-5_i386.deb
 4e9ccdb322645ff7ce1432e288d4f9b78a2510b0 104574 sysvinit-utils_2.87dsf-5_i386.deb
 4337b26d4b6a8537560ab8d29bff9374f4183f0a 61056 initscripts_2.87dsf-5_i386.deb
 c7fc317599fe73c03b679bfa631c60d7467d5c51 48358 sysv-rc_2.87dsf-5_all.deb
Checksums-Sha256: 
 fa1f4905f0400ab829773e6f298aa895272329feabe227cc2a22dc467e211143 1502 sysvinit_2.87dsf-5.dsc
 5631ef2c4463f6ebe740023b7797dc857d59fd106eac318c6bb66f8498a01e70 151117 sysvinit_2.87dsf-5.diff.gz
 2d7706d805e170db0843a9f9db6bdaf06d3aefad14bbbf76705934d75ad3d9fb 106006 sysvinit_2.87dsf-5_i386.deb
 f639edb4ca66809558c227120bd02016a312ce2f5d2d797ba6403ebf2f0e726b 104574 sysvinit-utils_2.87dsf-5_i386.deb
 c83bbb7b614a8f0b676627c608be9ce102c9d78f307cb9692117c8bdce60477d 61056 initscripts_2.87dsf-5_i386.deb
 5423185583ffc27137d52371567e507b18e6c9f8cd8b16c13b45920bf04cfa7f 48358 sysv-rc_2.87dsf-5_all.deb
Files: 
 610aee978998f1f4d66e8d22651c3d70 1502 admin required sysvinit_2.87dsf-5.dsc
 73b09d298701199be11a2f29578942ea 151117 admin required sysvinit_2.87dsf-5.diff.gz
 d0b2ae855057bb01cf05bedb4ffc8316 106006 admin required sysvinit_2.87dsf-5_i386.deb
 d121d5f982c7c96ef8cc3b687cce135a 104574 admin required sysvinit-utils_2.87dsf-5_i386.deb
 e11bbea70225fcbc1f2f36f614a47630 61056 admin required initscripts_2.87dsf-5_i386.deb
 a0334f01d415c87a2835d4ec3e8612ab 48358 admin required sysv-rc_2.87dsf-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFKrB0B20zMSyow1ykRAhppAKC+J3ytocgDpk7wr9Fk1GIxBpQKHwCgzpCf
GRfFNosVStVUgYJAjtXyVmg=
=W5P8
-----END PGP SIGNATURE-----





Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. (Sat, 12 Sep 2009 23:30:11 GMT) Full text and rfc822 format available.

Notification sent to "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>:
Bug acknowledged by developer. (Sat, 12 Sep 2009 23:30:11 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr> to control@bugs.debian.org. (Mon, 14 Sep 2009 10:09:12 GMT) Full text and rfc822 format available.

Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. (Tue, 15 Sep 2009 00:06:21 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Tue, 15 Sep 2009 00:06:21 GMT) Full text and rfc822 format available.

Message #24 received at 545949-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 545949-close@bugs.debian.org
Subject: Bug#545949: fixed in sysvinit 2.87dsf-6
Date: Mon, 14 Sep 2009 23:47:34 +0000
Source: sysvinit
Source-Version: 2.87dsf-6

We believe that the bug you reported is fixed in the latest version of
sysvinit, which is due to be installed in the Debian FTP archive:

initscripts_2.87dsf-6_i386.deb
  to pool/main/s/sysvinit/initscripts_2.87dsf-6_i386.deb
sysv-rc_2.87dsf-6_all.deb
  to pool/main/s/sysvinit/sysv-rc_2.87dsf-6_all.deb
sysvinit-utils_2.87dsf-6_i386.deb
  to pool/main/s/sysvinit/sysvinit-utils_2.87dsf-6_i386.deb
sysvinit_2.87dsf-6.diff.gz
  to pool/main/s/sysvinit/sysvinit_2.87dsf-6.diff.gz
sysvinit_2.87dsf-6.dsc
  to pool/main/s/sysvinit/sysvinit_2.87dsf-6.dsc
sysvinit_2.87dsf-6_i386.deb
  to pool/main/s/sysvinit/sysvinit_2.87dsf-6_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 545949@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated sysvinit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 15 Sep 2009 01:28:19 +0200
Source: sysvinit
Binary: sysvinit sysvinit-utils sysv-rc initscripts
Architecture: source i386 all
Version: 2.87dsf-6
Distribution: unstable
Urgency: low
Maintainer: Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 initscripts - scripts for initializing and shutting down the system
 sysv-rc    - System-V-like runlevel change mechanism
 sysvinit   - System-V-like init utilities
 sysvinit-utils - System-V-like utilities
Closes: 239342 265801 406361 545356 545368 545409 545949 546405
Changes: 
 sysvinit (2.87dsf-6) unstable; urgency=low
 .
   * Correct code in sysv-rc postinst to avoid failing to install when no
     init.d scripts have been removed (Closes: #546405).
   * Start bootlogd before lvm2 too, to push it even further forward
     in the boot sequence.
 .
 sysvinit (2.87dsf-5) experimental; urgency=low
 .
   * Uploading to experimental, to test the new build rules.
 .
   * Make sysv-rc postinst report detected problems to stderr too when
     failing to migrate.
   * Fix typo in error message from postinst (Closes: #545409).
   * Make initscripts depend on sysvinit-utils (>= 2.86.ds1-64), to
     make sure the fstab-decode program is available (Closes: #545356).
   * Make sure the calls to 'update-rc.d X remove' in initscripts
     postinst do not ignore errors (Closes: #406361).
   * Make sysvinit depend on sysvinit-utils (>= 2.86.ds1-66) to avoid
     that bootlogd disappear during partial upgrades (Closes: #545368).
   * Restructure source package to make it possible to use debhelper in
     the common way to build the source, by moving debian/initscripts/
     and debian/sysv-rc/ into debian/src/.  Restructure build rules to
     use debhelper more, and migrate to debhelper 7.
   * New patch 98_installtarget.patch to improve the sysvinit install
     target.
   * Remove /etc/init.d/.depend.* in prerm, not postrm, to avoid
     surprises.
   * Remove /var/lib/update-rc.d/* when the package is purged.
   * Change cut-off point for the trimmed changelog entries in
     sysvinit-utils, initscripts and sysv-rc from version 2.84-3 to
     version 2.86.ds1-47, to reduce the package sizes.
   * Drop hurd specific dependency on libc0.3 (>= 2.3.2.ds1-12).  It is
     no longer needed according to Michael Bunk.  Patch from Michael
     Biebl.
   * Remove information about scripts in /var/lib/update-rc.d/ when
     their runlevel symlinks are removed (Closes: #545949).  Remove
     such files left behind earlier during upgrade.
   * Bootlogd now starts as late as possible (Closes: #265801)
   * Drop the binary /lib/init/readlink from initscripts and depend on
     coreutils (>= 5.93) instead.  Adjust scripts to use the program
     from coreutils from now on (Closes: #239342).
   * Make sure insserv exit values propagate through update-rc.d to make
     sure packages with errors fail to install.
Checksums-Sha1: 
 c963d2814dfbfa6a3c04eb9356d1b996bb0abd31 1502 sysvinit_2.87dsf-6.dsc
 ac36420062abc270a6e824a479b5263b31512fba 151203 sysvinit_2.87dsf-6.diff.gz
 ce6a870dfb436a5fc5aa12df3d376d31bc1f5643 106080 sysvinit_2.87dsf-6_i386.deb
 14d58ae856c843e6891674f5d4b6aba09be6720e 104644 sysvinit-utils_2.87dsf-6_i386.deb
 b8a63783fc85c5617d153a2fdca98eb6bede2787 61138 initscripts_2.87dsf-6_i386.deb
 178f221fe4e439e0bf839ff8dbd3d290249ba26f 48438 sysv-rc_2.87dsf-6_all.deb
Checksums-Sha256: 
 1ce071aec70ca5d3a1d595cd2bb5faff9486d72f32cb6cc2d86da5d8fdf4165e 1502 sysvinit_2.87dsf-6.dsc
 79202108583480ae001a47b382de2042122bd5e749730cff693b5df7cf107c17 151203 sysvinit_2.87dsf-6.diff.gz
 562288354a4c9f463cd538aa63ae65cd5f6bdcb67b76f4a16ad7320d76f2e653 106080 sysvinit_2.87dsf-6_i386.deb
 ac5d531470aad23cb8ce6b33a3125ec25d784ab168b71daa7e51b960f765077e 104644 sysvinit-utils_2.87dsf-6_i386.deb
 8f2417e847f4ab12dc5c6a2233da1efb4638c40213e903194ba97f31580dd54f 61138 initscripts_2.87dsf-6_i386.deb
 8b94a58e86e74b6bde9f6c740687864b0e5193be8577665fd44799d07e34e636 48438 sysv-rc_2.87dsf-6_all.deb
Files: 
 7b0db60fd99020876c5c8aa6798178ac 1502 admin required sysvinit_2.87dsf-6.dsc
 89dbd056cf9c780563144c6f2b8b787f 151203 admin required sysvinit_2.87dsf-6.diff.gz
 ad60d09a82370fa7c855487095ada7f8 106080 admin required sysvinit_2.87dsf-6_i386.deb
 66f5e1ceaf8bfc1f873e28be4cff6d82 104644 admin required sysvinit-utils_2.87dsf-6_i386.deb
 52811a6c7cc36860e74bda5dc956c421 61138 admin required initscripts_2.87dsf-6_i386.deb
 dbb2fc9560ba3db4fe14af3507cbd415 48438 admin required sysv-rc_2.87dsf-6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFKrtPc20zMSyow1ykRAlkxAKC5ED200pvl7WMfwgWDkRv10RFQMgCgs8qF
9HOJ6GEMIV17oVLsROZm7yU=
=8FTr
-----END PGP SIGNATURE-----





Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. (Tue, 15 Sep 2009 00:06:22 GMT) Full text and rfc822 format available.

Notification sent to "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>:
Bug acknowledged by developer. (Tue, 15 Sep 2009 00:06:22 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Oct 2009 07:40:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:33:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.